package server

import (
	csgw "git.loafle.net/commons/server-go/socket/web"
	"git.loafle.net/overflow/member_gateway_rpc/servlet"
)

func New() *csgw.Server {
	ws := &servlet.WebappServlets{}
	sh := &ServerHandlers{}
	sh.RegisterServlet("/webapp", ws)

	s := &csgw.Server{
		ServerHandler: sh,
	}

	return s
}
